Catalog - Get View

Retrieves the specified view from the Data Lake Analytics catalog.

GET https://{accountName}.{adlaCatalogDnsSuffix}/catalog/usql/databases/{databaseName}/schemas/{schemaName}/views/{viewName}?api-version=2016-11-01

URI Parameters

Name In Required Type Description
accountName
path True

string

The Azure Data Lake Analytics account upon which to execute catalog operations.

adlaCatalogDnsSuffix
path True

string

Gets the DNS suffix used as the base for all Azure Data Lake Analytics Catalog service requests.

databaseName
path True

string

The name of the database containing the view.

schemaName
path True

string

The name of the schema containing the view.

viewName
path True

string

The name of the view.

api-version
query True

string

Client Api Version.

Responses

Name Type Description
200 OK

USqlView

Successfully retrieved the specified view from the underlying database and schema combination

Examples

Retrieves the specified view from the Data Lake Analytics catalog

Sample request

GET https://contosoadla.azuredatalakeanalytics.net/catalog/usql/databases/master/schemas/dbo/views/test_view_name?api-version=2016-11-01

Sample response

{
  "computeAccountName": "contosoadla",
  "version": "34adfa4f-cedf-4dc0-ba29-b6d1a69ab345",
  "databaseName": "master",
  "schemaName": "dbo",
  "viewName": "test_view_name",
  "definition": "test_definition"
}

Definitions

USqlView

A Data Lake Analytics catalog U-SQL view item.

Name Type Description
computeAccountName

string

the name of the Data Lake Analytics account.

databaseName

string

the name of the database.

definition

string

the defined query of the view.

schemaName

string

the name of the schema associated with this view and database.

version

string (uuid)

the version of the catalog item.

viewName

string

the name of the view.